Scholarship
P: Get public scholarships (list)
Query Parameters
page?number
Page number
Default
1Range
1 <= valueper_page?number
Number of scholarships per page
Default
20Range
1 <= value <= 100search?string
Search in title and description
Default
nullentity_type?string
Filter by entity type (values: course, learning_path, cohort)
Default
nullValue in
"course" | "learning_path" | "cohort"entity_id?string
Filter by specific entity ID
Default
nullFormat
uuidstatus?string
Filter by status (automatically set to "active" for public endpoints)
Default
nullonly_ids?string
Filter by specific scholarship IDs
Default
nullexclude_ids?string
Exclude specific scholarship IDs
Default
nullinclude_ids?string
Include specific scholarship IDs
Default
nullsort_by?string
Field to sort by
Default
"created_at"sort_dir?string
Sort direction (values: asc, desc)
Default
"desc"Value in
"asc" | "desc"Response Body
curl -X GET "https://edushade.com/api/v1/public/billing/scholarship?page=1&per_page=20&entity_type=course&sort_by=created_at&sort_dir=asc"{}Empty
Empty
Empty